package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag785;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT785Creator;

/**
 * @author wuzhe
 * @date 2023/2/27
 */
public class Tag31ECreator extends AbsTagCreate {

     private MT785Creator mt785Creator;

    public Tag31ECreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt785Creator= (MT785Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag31EValue = mt785Creator.getFinalDateofExpiry();
        mt785Creator.set("31E", tag31EValue);
    }
}
